/* CalcOptPortfolio2.sas creates the linear constraints and optimizes */
	/* the porfolio with those constraints.                   */

	   data RDExamp.stocklin;
	      input CName $ CType $ Company $ CCoef;
		datalines;
	cons1 le .    0.3
	cons1 .  Auto 1
	cons2 le .    0.3
	cons2 .  Tech 1
	cons2 .  Software 1
	cons3 le .    0.3
	cons3 .  Utility 1
	cons3 .  Energy 1
	cons3 .  Oil 1
	;


	   proc risk;
	      environment open = RDExamp.optimex;

/* Set analysis options. */ 
	      setoptions optsummary;

	/* Create an optimization analysis. */
	      optimization Stock_Optimization2
	         simulation = Stock_Sim
	         horizon = (1)
	         objective = return
	         subjectto = (es = (&ESPct))
	         bounds = RDExamp.stockbound
	         lincon = RDExamp.stocklin; 

/* Create the analysis project Stock_Opt. */
      project Stock_Opt_Proj2
         data = (Mkt_Data)
	         portfolio = Stock_File
	         analysis = (Stock_Optimization2)
	         numeraire = USD
	         rundate = "30May14"d
	         crossclass = cc1
	         out = Optimal_Stock_Results2;

	/* Run the analysis project. */
      runproject Stock_Opt_Proj2 
	         options = (outall);

	      environment save;

   run;
